<?php

namespace Service\Integration;

use Doctrine\ORM\EntityManager;
use Util\InstanceProvider;
use Zeedhi\DevOps\Util\Utilities;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\DevOps\Util\Utilities as DevOpsUtilities;

class OMIntegration {

    const CLIENT_ID = "cd7e85178153by60953518945f9hakt19a50a4";
    const CLIENT_SECRET = "lib5449996c21f780fe30badd6521931a5sac9";

    public function findMenuItems ($pmProductId) {
        $return = array();
        $productDevOpsId = InstanceProvider::getRepository()->getCpCall()->getProductDevOpsIdByProjectId($pmProductId);
        if($productDevOpsId) {
            $data = InstanceProvider::getRepository()->getOmProdutoElemento()->getProductElementsByProductIdAndCdcliente($productDevOpsId,InstanceProvider::getUtilities()->getCurrentCdCliente());
            if($data){
                foreach ($data as $row) {
                    if($row['LABEL']){
                        $return[] = $row;
                    }
                }
            }
        }
        return $return;
    }
}